.home {
  *::-webkit-scrollbar {
    width: 8px;
    height: 9px;
  }

  *::-webkit-scrollbar-track {
    background: transparent;
  }

  *::-webkit-scrollbar-thumb {
    background-color: $grey-DADADA;
    border-radius: 20px;
    scrollbar-width: thin;
  }

  .home-background-content {
    background-image: url('/images/background-home.png');
    background-position: center;
    background-size: 100%;
    background-repeat: no-repeat;
  }

  .scrollable-card-y {
    overflow-y: scroll;
    white-space: nowrap;
    height: 100%;
    max-height: 700px;
  }

  .top-nav-bar {
    height: 150px;
  }

  .page-content {
    height: auto;
    width: 40vw;
    position: relative;
  }

  .background-content {
    background-image: url('/images/background.png');
    background-position: center;
    background-size: 100%;
    background-repeat: no-repeat;
  }

  .home-page-content {
    height: auto;
    width: 100%;
  }

  .home-container {
    background: $blue-BDD9FF;
    height: 300px;
    border-radius: 35px;
    box-shadow: 0px 2px 7px rgba(0, 0, 0, 0.25);
  }

  .home-btn {
    width: 150px;
    background-color: $blue-5B9ADD;
    color: white;
    box-shadow: 0px 2px 7px rgba(0, 0, 0, 0.2);
  }

  .home-page-title {
    width: auto;
    height: max-content;

    .q-tab--active {
      background-color: #3e3e3e !important;
      color: white !important;
    }

  }

  .q-checkbox {
    display: flex;
    justify-content: space-between;
    padding: 0 10px;
  }

  .expension-item-chatting {
    border-radius: 20px !important;
    background: linear-gradient(92.25deg, $grey-E8ECFD -2.58%, $blue-5EB0CC 102.31%) !important;
    color: white;
    padding-left: 5%;
    height: 71px !important;
  }

  .card-item-chatting {
    background: rgba(191, 241, 242, 0.35) !important;
    backdrop-filter: blur(10px) !important;
    border-radius: 20px !important;

    .card-item-clock {
      background: linear-gradient(95.71deg, $blue-5B9ADD -14.45%, $purple-8A6FF0 113.32%);
      border-radius: 15px;
      color: white;
      width: 158px;

    }

    .card-item-btn {
      background: $blue-4A85D3 !important;
      box-shadow: 0px 2px 7px rgba(0, 0, 0, 0.25) !important;
      border-radius: 10px !important;
      color: white;
    }

    .scrollable-card {
      overflow-x: scroll;
      white-space: nowrap;
      width: 100%;
      max-width: 1800px;
    }

    .single-card {
      display: inline-block;
    }
  }

  .expension-icon {
    padding-right: 5%;

    .q-icon {
      font-size: 20px !important;
    }
  }

  .expension-item-ongoing {
    border-radius: 10px 10px 0 0 !important;
    background-color: #1656C6;
    color: white;
    padding-left: 5%;
    height: 50px !important;

    .custom-header {
      width: 100%;
      align-self: center;

      .new-force-conversation-badge {
        position: absolute;
        height: 20px;
        width: 20px;
        background-color: #FF0000;
        margin-left: 1rem;
        border-radius: 50%;
        text-align: center;
        font-size: 14px;
      }
    }
  }

  .task-request {
    position: relative;

    .expension-item-ongoing {
      background-color: #FF6801;
    }

    .count-badge {
      position: absolute;
      background-color: white;
      font-size: 18px;
      border-radius: 50%;
    }
  }

  .card-item-ongoing {
    background-color: $blue-E8ECFD;
    backdrop-filter: blur(10px) !important;
    border-bottom-left-radius: 10px !important;
    border-bottom-right-radius: 10px !important;

    .label {
      margin: 0.2rem;
      padding: unset;
      height: 20px;
      width: 20px;
      text-align: center;
      vertical-align: middle;
      font-size: 12px !important;
    }

    .card-items {
      background: linear-gradient(95.71deg, $blue-5B9ADD -14.45%, $purple-8A6FF0 113.32%);
      border-radius: 10px;
      color: white;
      min-height: 65px;
      position: relative;

      .new-message-badge {
        position: absolute;
        height: 20px;
        width: 20px;
        background-color: #FF6700;
        border-radius: 50%;
        top: -10px;
        right: -10px;
        z-index: 9999;
      }
    }

    .card-items.active {
      border: 3px solid #FF6700;
    }

    .card-item-btn {
      background: $blue-4A85D3 !important;
      box-shadow: 0px 2px 7px rgba(0, 0, 0, 0.25) !important;
      border-radius: 10px !important;
      color: white;
    }

    .scrollable-card {
      overflow-y: scroll;
      height: 100%;
      max-height: 320px;
    }

    .single-card {
      display: inline-block;
    }

    .expension-icon {
      padding-right: 3%;
    }


  }

  .chatbox-container {
    background-color: $blue-F0F6FE;
    min-height: 70px;
    border-radius: 10px;
    min-height: calc(100vh - 190px);
    max-height: calc(100vh - 190px);
    position: relative;

    .chatbox-header {
      background-color: $blue-647BD1;
      height: 50px;
      width: 100%;
      border-radius: 10px 10px 0px 0px;

      .btn-transfer {
        background: $purple-6574FE !important;
        box-shadow: 0px 2px 7px rgba(0, 0, 0, 0.25);
        border-radius: 5px;

        .q-btn__content {
          color: white !important;
        }
      }

      .btn-transfer.cancel {
        background: transparent !important;
        box-shadow: unset;

        .q-btn:before {
          box-shadow: unset !important;
        }

      }

      .btn-assign {
        background-color: #318BDD;
        box-shadow: 0px 2px 7px rgba(0, 0, 0, 0.25);
        border-radius: 5px;
      }

      .btn-requested {
        background-color: transparent;
        border-radius: 5px;
        color: white;
        border: 3px solid #5B9ADD !important;
      }

      .btn-inv {
        background: $blue-318BDD !important;
        box-shadow: 0px 2px 7px #5B9ADD;
        border-radius: 5px;
      }

      .fixed-height {
        height: 50px;
      }
    }

    .chatbox-scroll {
      overflow-y: scroll;
      min-height: calc(100vh - 300px);
      max-height: calc(100vh - 337px);
      position: relative;

      .no-message {
        width: 100%;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
      }

      .chatbox-contain {
        .message-option {
          position: absolute;
          top: 0;
          left: 0;
          background: rgba(255, 255, 255, 0.7);
          opacity: 0;

        }

        .message-option.sender {
          left: unset;
          right: 0;
        }

        .caption {
          font-size: 12px;
          font-weight: 400;
          color: white;
          margin-bottom: unset;
          margin-top: 1rem;
        }

        .time-text {
          margin-top: 1rem;
        }


        .bubble-reply {
          margin-top: 0.5rem;
          border-radius: 5px;
          color: #000;
          background-color: rgba($color: #000000, $alpha: 0.05);
          overflow: hidden;
          text-overflow: ellipsis;
          border-left: 3px solid #ff6700;
          cursor: pointer;

          p {
            margin: 0;
          }

          &.sender {
            background-color: $primary;
          }

          .reply-content {
            text-overflow: ellipsis;
          }

          &:hover {
            background-color: rgba($color: #000000, $alpha: 0.1);
          }
        }


        .bubble-image {
          .q-img {
            cursor: pointer;
            border-radius: 15px;
          }
        }

        .bubble-video {
          position: relative;
          max-width: 100%;
          padding: 10px;


          .btn-play {
            position: absolute;
            top: 0;
            left: 0;
            margin: auto;
            top: 0;
            left: 0;
            bottom: 0;
            right: 0;
            width: 70px;
            height: 70px;
            border-radius: 50%;
            -webkit-transition: all 0.1s ease-in-out;
            -moz-transition: all 0.1s ease-in-out;
            transition: all 0.1s ease-in-out;

            &:hover {
              transform: scale(1.1);
            }
          }

          .q-img {
            border-radius: 15px;
            cursor: pointer;
          }
        }

        .bubble-audio {
          border-radius: 5px;
          width: 300px !important;
          position: relative;
          align-items: center;

          .time-text {
            margin-top: unset;
          }

          .duration {
            color: white;
          }

          &.sender {
            background-color: #FFC8C2;
          }

          .content {
            width: 100%;
            padding-left: 10px;
            padding-right: 15px;
            overflow: hidden;
            text-overflow: ellipsis;

            .q-icon {
              cursor: pointer;
            }

            wave {
              canvas {
                width: 290px !important;
              }
            }

            *::-webkit-scrollbar-thumb {
              background-color: transparent;
            }
          }
        }

        .chatbox-item {
          background: $purple-D6DAFF;
          box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.15);
          border-radius: 0px 18px 18px 18px;
          height: auto;
          width: fit-content;
          position: relative;

          .agent-name {
            color: #647BD1;
            font-weight: bold;
            cursor: pointer;
          }
        }

        .chatbox-item-user {
          position: relative;
          background: $blue-4586E1;
          box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.15);
          border-radius: 18px 18px 3px 18px;
          height: auto;
          width: fit-content;
          max-width: 600px;
          color: white;
          word-break: break-all;
        }
      }

      .chatbox-contain:hover .message-option {
        opacity: 100%;
      }
    }

    .chatbox-footer {
      background-color: #f0f6fe;
      position: relative;

      .middle-footer {
        position: absolute;
        top: -4.5rem;
        background-color: #f0f6fe;
        width: 100%;
        border-top: 1px solid #5B9ADD;
        padding: 0.5rem 10px;

        .message-bubble {
          .bubble-reply {
            border-radius: 5px;
            height: 56px;
            color: #000;
            background-color: rgba($color: #000000, $alpha: 0.05);
            overflow: hidden;
            text-overflow: ellipsis;
            border-left: 3px solid #ff6700;
            cursor: pointer;

            p {
              margin: 0;
            }

            &.sender {
              background-color: $primary;
            }

            .reply-content {
              overflow: hidden;
              text-overflow: ellipsis;
              white-space: nowrap;
              height: 20px;
            }

            &:hover {
              background-color: rgba($color: #000000, $alpha: 0.1);
            }
          }
        }
      }

      .chatbox-input {
        color: #5B9ADD;
      }

      .q-field--dense .q-field__label {
        font-size: 10px;
      }
    }

    .chat-area-preview .footer .input-area {
      z-index: 110;
    }

    .footer .q-file {
      display: none;
    }

    .chat-area-preview {
      position: absolute;
      width: 100%;
      height: 100%;
      border-bottom-right-radius: 10px;
      display: none;
      top: 0;
      z-index: 100;
      -webkit-transform: translate3d(0, 0, 0);

      .body {
        height: 100%;

        .content {
          background-color: #f0f6fe;
        }

        .header {
          font-size: 1.1rem;
          font-weight: 500;
          height: 60px;
          background-color: #5B9ADD;
          border-bottom: 1.8px solid #f0f0f0;
          color: white;

          i {
            color: white;
          }
        }

        .slider {
          height: 90px;
          background-color: #f0f6fe;
          border-top: 1.8px solid #f0f0f0;
          overflow-y: hidden;
          overflow-x: auto;
          max-width: 100%;
        }
      }

      &.show {
        display: block;
        animation: fadeIn 0.2s;
      }
    }
  }

  .history-container {
    min-height: calc(100vh - 190px);
    max-height: calc(100vh - 190px);

    .history {
      background-color: $blue-F0F6FE;
      min-height: calc(50vh - 90px);
      max-height: calc(50vh - 90px);
      border-radius: 10px;

      .history-header {
        background-color: $orange-FFA914;
        height: 50px;
        width: 100%;
        border-radius: 10px 10px 0px 0px;
      }

      .history-scroll {
        overflow-y: scroll;
        height: auto;
        min-height: calc(50vh - 160px);
        max-height: calc(50vh - 265px);

        .history-contain {
          display: inline-block;
          width: -webkit-fill-available;
          width: -moz-available;

          .history-row {
            width: 334px;
          }

          .history-item {
            background: $grey-DADADA;
            box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.15);
            border-radius: 0px 25px 25px 25px;
            height: auto;
          }

          .history-item-user {
            background: $orange-FFC8C2;
            box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.15);
            border-radius: 25px 25px 3px 25px;
            height: auto;
          }

          .agent-name {
            color: #647BD1;
            font-weight: bold;
          }
        }
      }
    }

    .remark {
      background-color: $blue-F0F6FE;
      border-radius: 10px;
      min-height: calc(50vh - 90px);
      max-height: calc(50vh - 90px);

      .remark-header {
        background-color: $grenn-2B977F;
        height: 50px;
        width: 100%;
        border-radius: 10px 10px 0px 0px;
      }

      .remark-scroll {
        overflow-y: scroll;
        min-height: calc(50vh - 160px);
        max-height: calc(50vh - 265px);

        .remark-contain {
          display: inline-block;
          width: -webkit-fill-available;
          width: -moz-available;

          .remark-row {
            width: auto;
            position: relative;
          }

          .remark-item {
            height: auto;
          }

          .edit-item {
            background: $blue-D7E8FF;
            border-radius: 10px;
            height: max-content;

            .remark-input-edit {
              background: $blue-F0F6FE;
              border-radius: 10px;
              color: white !important;
            }
          }
        }
      }

      .hover-promp {
        width: 70px;
        height: 28px;
        background: $blue-318BDD;
        box-shadow: 0px 1px 2px rgba(0, 0, 0, 0.2);
        border-radius: 6px;
      }

      .active {
        background: $blue-D7E8FF;
      }

    }

    .chatbox-footer {
      width: 100%;

      .chatbox-input {
        width: 100%;
        max-width: 96%;
        color: #5B9ADD;
      }
    }
  }

  .assign-task-scroll {
    .border {
      border: solid 3px #FF6700;
    }
  }

  .chat-history {

    .q-field--outlined .q-field__control:before {
      border: 2px solid $blue-5B9ADD !important;
    }

    .q-field--dense .q-field__label {
      color: $blue-5B9ADD !important;
      font-size: 12px;
    }

    .q-hoverable:hover>.q-focus-helper {
      border-radius: 20px;
    }

    .chat-history-scroll {
      min-height: calc(100vh - 250px);
      max-height: calc(100vh - 250px);
      overflow-y: auto;

      .card-item-history {
        backdrop-filter: blur(10px) !important;
        border-radius: 20px !important;

        .card-items {
          background: linear-gradient(95.71deg, $blue-5B9ADD -14.45%, $purple-8A6FF0 113.32%);
          border-radius: 15px;
          color: white;
          width: 100%;
        }
      }
    }

    .history-container .history {
      background-color: #F0F6FE;
      min-height: calc(100vh - 200px);
      max-height: calc(100vh - 200px);
      border-radius: 10px;
    }

    .history-scroll {
      overflow-y: scroll;
      height: auto;
      min-height: calc(100vh - 280px) !important;
      max-height: calc(100vh - 280px) !important;
    }
  }

  .bubble-system {
    color: gray;
    font-size: 12px;
  }

  .label {
    border-radius: 50%;
    margin: 0.5rem;
    padding: 0.4rem;
    width: 40px;
    height: 40px;
  }

  .label.active {
    border: solid 3px #FF6700;
  }

  .chat-label {
    border-radius: 50%;
    margin: 0.2rem;
    padding: 0.2rem;
    width: 20px;
    height: 20px;
  }

  .chats-container {
    position: relative;
  }

  .new-force-conversation-badge {
    position: absolute;
    height: 20px;
    width: 20px;
    background-color: #FF0000;
    top: 3px;
    right: 8px;
    z-index: 1;
    border-radius: 50%;
    text-align: center;
    font-size: 14px;
    color: white;
  }

  .middle-footer {
    .message-bubble {
      .bubble-reply {
        max-width: 100%;
      }
    }
  }

  .ongoing {
    max-height: calc(100vh - 190px);
    overflow: scroll;

    .q-separator {
      display: none;
    }
  }

  .q-field--outlined .q-field__control {
    border-radius: 10px;
  }

  .q-field--outlined .q-field__control:before {
    border: 3px solid $blue-5B9ADD;
  }

  .q-field__label {
    color: $blue-5B9ADD;
  }

  .reset-btn {
    background-color: $grenn-2B977F;
    color: white;
  }

  .search-btn {
    background-color: $blue-5B9ADD;
    color: white;
  }

  .create-btn {
    background-color: $blue-1791DC;
    color: white;
  }


  .all-chat,
  .appointments .container,
  .all-clients .container {
    background-color: $blue-D7E6FB;
    min-height: calc(100vh - 140px) !important;
    max-height: calc(100vh - 140px) !important;
    // overflow: scroll;
  }

  .appointments .container,
  .all-clients .container {
    min-height: calc(100vh - 140px) !important;
    max-height: calc(100vh - 140px) !important;
    overflow: auto;
  }

  .appointments,
  .all-clients {
    .custom-row {
      margin: 2rem;
    }
  }

  .all-clients,
  .all-chat {

    .message {
      color: white;
      background: #1791DC;
    }

    .transfer {
      color: white;
      background: #6574FE;
    }
  }

  .table {
    width: 100%;
    border-collapse: separate;
    border-spacing: 0 15px;

    thead {
      background: #4586E1;
      border-radius: 10px;
      color: white;
      display: table;
      table-layout: fixed;
      width: 100%;

      // th {
      //   padding: 22px 0;
      // }

      th:first-child {
        border-radius: 10px 0 0 10px;
      }

      th:last-child {
        border-radius: 0 10px 10px 0;
      }

    }

    tbody {
      height: auto;
      overflow-y: auto;
      overflow-x: hidden;
      display: block;
      padding-bottom: 10px;

      tr {
        background: #D7E6FB;
        box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.1);
        display: table;
        table-layout: fixed;
        width: 100%;
        margin: 10px 0 0 5px;
      }

      td {
        // padding: 1rem;
        text-align: center;
      }

      // td.left {
      //   text-align: left;
      // }

      .q-btn {
        color: white;
        margin: 0.3rem;
      }

      .transfer {
        background: #6574FE;
      }

      .request {
        background: #4A85D3;
      }

      .badge {
        background: #1791DC;
        padding: 0.5rem 1rem;
        border-radius: 10px;
        color: white;
      }

      .badge.green {
        background-color: #2B977F;
      }

      .badge.orange {
        background-color: #FF6700;
      }

      .badge.yellow {
        background-color: #FFA914;
      }

      .badge.red {
        background-color: $red-FA6767;
      }
    }

    .id {
      position: absolute;
    }

  }

  .pagination {
    list-style-type: none;
    display: inline-flex;

    a {
      color: #686B6F;
      text-decoration: none;
      font-size: 14px;
    }

    a.page-link {
      background-color: #FFFFFF;
      border: 1px solid #DADADA;
      box-sizing: border-box;
      border-radius: 5px;
      height: 25px;
      width: 25px;
      display: block;
      text-align: center;
      margin: 0.2rem;
    }

    .page-item.active {
      a {
        background-color: #424242;
        color: white;
      }
    }

    a.page-link.prev,
    a.page-link.next {
      background: unset;
      border: unset;
    }

  }

  .all-clients,
  .appointments {
    .container {
      padding: 1rem;
    }

    .client-name {
      margin: unset;
    }

    h4 {
      margin: 1rem;
    }
  }

  .appointments {
    .create-btn {
      margin: 1rem;
    }

    .table tbody .badge {
      padding: 0.5rem;
    }
  }

  @media screen and (min-width: 768px) {
    .home-background-content {
      background-size: cover;
    }

    .ongoing-drawer-position {
      display: none;
    }

    .note-drawer-position {
      display: none;
    }
  }

  // MOBILE
  @media screen and (max-width: 768px) {
    .home-background-content {
      background-size: cover;
    }

    .home-page-content {
      width: 100%;
    }

    // .scrollable-card {
    //   max-width: calc(50vh) !important;
    // }

    .chat-history .chat-history-scroll {
      height: auto;
      min-height: auto;
    }

    .home-page-title {
      width: auto;
      height: max-content;

      .tab-title {
        overflow-y: scroll;
        white-space: nowrap;
        width: auto;
      }
    }

    .expension-item-chatting {
      font-size: 4vw;
    }

    .table .badge {
      font-size: 12px;
      ;
    }

    .headerTabs {
      .q-tab__label {
        font-size: 10px;
      }
    }

    .all-chat,
    .appointments .container,
    .all-clients .container {
      min-height: calc(100vh - 90px) !important;
      max-height: calc(100vh - 90px) !important;
      overflow: scroll !important;
    }

    table {
      thead {
        display: table-header-group !important;
        table-layout: unset !important;
        width: unset !important;

        th {
          padding: 22px 0 !important;
        }
      }

      tbody {
        height: 50px !important;
        display: table-row-group !important;

        tr {
          display: table-row !important;
          table-layout: unset !important;
          width: unset !important;
          margin: unset !important;
        }

        td {
          padding: 1rem !important;
        }
      }
    }

    .history-container {
      min-height: calc(100vh - 150px);
    }

    .note-header {
      font-size: 14px;
    }

    .history-header {
      font-size: 14px;
    }

    .conversation-header {
      font-size: 14px;
    }

    .conversation-menu {
      .q-item {
        .q-item-text {
          font-size: 12px !important;
        }
      }
    }
  }
}


.preview-media {

  .bg-blur-white,
  .q-dialog.bg-blur-white-inner .q-dialog__backdrop,
  .q-dialog__backdrop {
    background-color: rgba(0, 0, 0, .7) !important;
  }

  .q-item__label--caption {
    color: white;
  }

  .q-dialog__inner {
    &>div {
      box-shadow: unset;
      max-width: 100%;
      max-height: 100%;
    }
  }

  .content {
    .q-img img {
      object-fit: contain !important;
    }
  }

  .fullscreen .vcp-dashboard {
    bottom: 0;
  }

  .footer {
    height: 50px;
  }
}

.button-edit {
  background-color: $blue-4586E1;
  width: 70px;
  height: 40px;
  border-radius: 8px;
}

.button-assign {
  background-color: $blue-4586E1;
  height: 40px;
  border-radius: 8px;
}

.button-save {
  background-color: $green-20C86F;
  width: auto;
  height: 40px;
  border-radius: 8px;
}

.q-textarea .q-field__native {
  line-height: 30px;
  padding: unset;
}

.filterSelect {
  .q-field__control {
    background-color: white;
  }
}

.conversation-menu {
  width: 120px;
  border-radius: 10px;
  color: white;
  text-align: center;
  background-color: #545454;

  .q-item {
    min-height: unset;
  }
}

.end-btn {
  background-color: $red-FA6767;
  box-shadow: 0px 2px 7px rgba(0, 0, 0, 0.25);
  border-radius: 10px;
  height: 40px;
}

.noteDrawer {
  .remark {
    border-radius: 10px;
  }

  .remark-header {
    background-color: $grenn-2B977F;
    height: 50px;
    width: 100%;
    border-radius: 10px 0px 0px 0px;
  }
}

.mobile-filter {
  .branch-filter {
    .q-field__control {
      max-width: 130px;
      max-height: 80px;
    }
  }
}

.setting-drawer-position {
  position: absolute;
  top: 200px;
  right: 0px;
  z-index: 10;

  .setting-drawer-button {
    background-color: #FFA914;
    border-radius: 10px 0px 0px 10px;
    width: 40px;
    height: 40px;
  }
}

.ongoing-drawer-position {
  position: absolute;
  top: 250px;
  right: 0px;
  z-index: 10;

  .ongoing-drawer-button {
    background-color: #647BD1;
    border-radius: 10px 0px 0px 10px;
    width: 40px;
    height: 40px;
  }
}

.note-drawer-desktop {
  position: absolute;
  top: 330px;
  right: 0px;
  z-index: 10;

  .note-drawer-button {
    background-color: #2B977F;
    border-radius: 10px 0px 0px 10px;
    width: 40px;
    height: 40px;
  }
}

.note-drawer-position {
  position: absolute;
  top: 300px;
  right: 0px;
  z-index: 10;

  .note-drawer-button {
    background-color: #2B977F;
    border-radius: 10px 0px 0px 10px;
    width: 40px;
    height: 40px;
  }
}

.note-drawer {
  .q-drawer {
    background-color: #F0F6FE;
    border-radius: 10px 0px 0px 10px;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;

    .q-drawer__content {
      border-radius: 10px 0px 0px 10px;
    }
  }
}

.close-left-drawer {
  position: absolute;
  top: 8px;
  right: -240px;
}

.close-right-drawer {
  position: absolute;
  top: 8px;
  left: -65px;
}

.ongoingDrawer {
  .task-request {
    position: relative;

    .expension-item-ongoing {
      background-color: #FF6801;
    }

    .count-badge {
      position: absolute;
      background-color: white;
      font-size: 18px;
      border-radius: 50%;
    }
  }

  .expension-item-ongoing {
    background-color: #1656C6;
    color: white;
    padding-left: 5%;
    height: 50px !important;

    .custom-header {
      width: 100%;
      align-self: center;

      .new-force-conversation-badge {
        position: absolute;
        height: 20px;
        width: 20px;
        background-color: #FF0000;
        margin-left: 1rem;
        border-radius: 50%;
        text-align: center;
        font-size: 14px;
      }
    }
  }

  .card-item-ongoing {
    background-color: $blue-E8ECFD;
    backdrop-filter: blur(10px) !important;
    border-bottom-left-radius: 10px !important;
    border-bottom-right-radius: 10px !important;

    .label {
      margin: 0.2rem;
      padding: unset;
      height: 20px;
      width: 20px;
      text-align: center;
      vertical-align: middle;
      font-size: 12px !important;
      border-radius: 50%;
    }

    .card-items {
      background: linear-gradient(95.71deg, $blue-5B9ADD -14.45%, $purple-8A6FF0 113.32%);
      border-radius: 10px;
      color: white;
      min-height: 65px;
      position: relative;

      .new-message-badge {
        position: absolute;
        height: 20px;
        width: 20px;
        background-color: #FF6700;
        border-radius: 50%;
        top: -10px;
        right: -10px;
        z-index: 9999;
      }
    }

    .card-items.active {
      border: 3px solid #FF6700;
    }

    .card-item-btn {
      background: $blue-4A85D3 !important;
      box-shadow: 0px 2px 7px rgba(0, 0, 0, 0.25) !important;
      border-radius: 10px !important;
      color: white;
    }

    .scrollable-card {
      overflow-y: scroll;
      height: 100%;
      max-height: 320px;
      padding: 0.5rem 0;
    }

    .single-card {
      display: inline-block;
    }

    .expension-icon {
      padding-right: 3%;
    }
  }
}

.conversation-card {
  .q-card {
    box-shadow: unset !important;
    border-radius: unset !important;
    vertical-align: unset !important;
    background-color: unset !important;
  }
}

.searchBox {
  background-color: #F0F6FE;
  border-radius: 10px 10px 0 0;
  box-shadow: 0px 2px 7px rgba(0, 0, 0, 0.25);
  z-index: 1;
  display: none;
  height: auto;

  .chatbox-contain {
    background: $purple-D6DAFF;
    box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.15);
    border-radius: 0px 18px 18px 18px;
    height: auto;
    width: fit-content;
    position: relative;
    margin: 1rem;

    .q-btn {
      display: none;
    }
  }

  .agent-name {
    color: #647BD1;
    font-weight: bold;
    cursor: pointer;
  }

}

.issueType-text {
  .q-field__native {
    color: white;
  }
}

.account-logo-img {
  border-radius: 50%;
  box-shadow: 0px 2px 7px rgba(0, 0, 0, 0.15);
}

@media screen and (max-width: 600px) {
  .ongoing {
    display: none;
  }

  .history-container {
    display: none;
  }

  .remark {
    margin: unset;
  }

  .remark-scroll {
    overflow-y: scroll;
    min-height: calc(50vh - 160px);
    max-height: calc(50vh - 265px);
  }

  .chatbox-container {
    min-height: calc(100vh - 100px) !important;
    max-height: calc(100vh - 100px) !important;
  }

  .chatbox-scroll {
    min-height: calc(100vh - 240px) !important;
    max-height: calc(100vh - 240px) !important;
  }

  .note-drawer-desktop {
    display: none;
  }

  .issueType-mobile {
    padding: 0 16px 0 16px;
  }

  .fixed-height {
    height: unset !important;
  }
}
